%global momorel 1
%global gecko_ver 1.9

%define ruby_sitelib %{_prefix}/lib/ruby/site_ruby/1.8/
%define ruby_sitearch %{_libdir}/ruby/site_ruby/1.8/%{_arch}-linux/

Summary: Ruby/GNOME2
Name: ruby-gnome2
Version: 0.17.0
Release: %{momorel}m%{?dist}
Group: Development/Libraries
License: GPL
URL: http://ruby-gnome2.sourceforge.jp/

Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-all-%{version}.tar.gz 
NoSource: 0
Patch0:         ruby-gnome2-0.17.0-rc1-script.patch
Patch14:        ruby-gnome2-all-0.16.0-xulrunner.patch
# must be sent to upstream
#Patch15:        ruby-gnome2-0.17.0-rc1-newgtk-021303.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ruby ruby-devel gtk2-devel libgnome-devel libgnomeui-devel

Requires:       ruby(abi) >= 1.8
Requires:       ruby(gnomecanvas2) = %{version}-%{release}

Provides:       ruby(gnome2) =  %{version}-%{release}


%description
This is a set of bindings for the GNOME-2.x libraries for use from Ruby.

%package -n ruby-atk
Summary:        Ruby binding of ATK-1.0.x or later
Group:          System Environment/Libraries

BuildRequires:  ruby ruby-devel glib2-devel atk-devel 

Requires:       ruby(abi) >= 1.8 ruby(glib2) = %{version}-%{release}

Provides:       ruby(atk) = %{version}-%{release}

%description -n ruby-atk
Ruby/ATK is a Ruby binding of ATK-1.0.x or later.

%package -n ruby-atk-devel
Summary:        Development libraries and header files for ruby-atk
Group:          Development/Libraries

Requires:       ruby-devel ruby(atk) = %{version}-%{release} 
Requires:       ruby(glib2-devel) = %{version}-%{release}
Requires:       atk-devel

Provides:       ruby(atk-devel) = %{version}-%{release}

%description -n ruby-atk-devel
Ruby/ATK is a Ruby binding of ATK-1.0.x or later.
This package provides libraries and header files for ruby-atk

%package -n ruby-bonobo2
Summary:        Ruby binding of libbonobo-2.x
Group:          System Environment/Libraries

BuildRequires:  ruby ruby-devel
BuildRequires:  libbonoboui-devel

Requires:       ruby(abi) = 1.8 ruby(gtk2) = %{version}-%{release}

Provides:       ruby(bonobo2) = %{version}-%{release}

%description -n ruby-bonobo2
Ruby/Bonobo2 is a Ruby binding of libbonobo-2.x.

%package -n ruby-bonoboui2
Summary:        Ruby binding of libbonoboui-2.x
Group:          System Environment/Libraries

BuildRequires:  ruby ruby-devel
BuildRequires:  libbonoboui-devel libgnomeui-devel

Requires:       ruby(abi) = 1.8 ruby(gnome2) = %{version}-%{release}

Provides:       ruby(bonoboui2) = %{version}-%{release}

%description -n ruby-bonoboui2
Ruby/BonoboUI2 is a Ruby binding of libbonoboui-2.x.

%package -n ruby-gconf2
Summary:        Ruby binding of GConf-1.2.x
Group:          System Environment/Libraries

BuildRequires:  ruby ruby-devel GConf2-devel

Requires:       ruby(abi) >= 1.8 ruby(glib2) = %{version}-%{release}

Provides:       ruby(gconf2) =  %{version}-%{release}
Obsoletes:      ruby-gnome2-devel

%description -n ruby-gconf2
Ruby/GConf2 is a Ruby binding of GConf-1.2.x.

%package -n ruby-gdkpixbuf2
Summary:        Ruby binding of GdkPixbuf-2.x
Group:          System Environment/Libraries

BuildRequires:  ruby ruby-devel gtk2-devel ruby-cairo

Requires:       ruby(abi) >= 1.8
Requires:       ruby(glib2) = %{version}-%{release} ruby-cairo

Provides:       ruby(gdkpixbuf2) =  %{version}-%{release}

%description -n ruby-gdkpixbuf2
Ruby/GdkPixbuf2 is a Ruby binding of GdkPixbuf-2.x.

%package -n ruby-glib2
Summary:        Ruby binding of GLib-2.x
Group:          System Environment/Libraries

BuildRequires:  ruby ruby-devel glib2-devel

Requires:       ruby(abi) >= 1.8

Provides:       ruby(glib2) =  %{version}-%{release}

%description -n ruby-glib2
Ruby/GLib2 is a Ruby binding of GLib-2.x.

%package -n ruby-glib2-devel
Summary:        Development libraries and header files for ruby-glib2
Group:          Development/Libraries

Requires:       ruby(glib2) =  %{version}-%{release}
Requires:       ruby-devel glib2-devel

Provides:       ruby(glib2-devel) =  %{version}-%{release}
Obsoletes:      ruby-gnome2-devel

%description -n ruby-glib2-devel
Ruby/GLib2 is a Ruby binding of GLib-2.x.
This package provides libraries and header files for ruby-glib2

%package -n ruby-gnomecanvas2
Summary:        Ruby binding of GnomeCanvas-2.x
Group:          System Environment/Libraries

BuildRequires:  ruby ruby-devel gtk2-devel libgnomecanvas-devel

Requires:       ruby(abi) >= 1.8
Requires:       ruby(gtk2) = %{version}-%{release} 
Requires:       ruby(libart2) = %{version}-%{release}

Provides:       ruby(gnomecanvas2) =  %{version}-%{release}

%description -n ruby-gnomecanvas2
Ruby/GnomeCanvas2 is a Ruby binding of GnomeCanvas-2.x.

%package -n ruby-gnomeprint2
Summary:        Ruby binding of libgnomeprint
Group:          System Environment/Libraries

BuildRequires:  ruby ruby-devel libgnomeprint22-devel

Requires:       ruby(abi) >= 1.8
Requires:       ruby(glib2) = %{version}-%{release} ruby(pango) = %{version}-%{release}
Requires:       ruby(libart2) = %{version}-%{release}

Provides:       ruby(gnomeprint2) =  %{version}-%{release}
Provides:       ruby-gnomeprint
Obsoletes:      ruby-gnomeprint

%description -n ruby-gnomeprint2
Ruby/GnomePrint is a Ruby binding of libgnomeprint. 

%package -n ruby-gnomeprintui2
Summary:        Ruby binding of libgnomeprintui
Group:          System Environment/Libraries

BuildRequires:  ruby ruby-devel libgnomeprintui22-devel

Requires:       ruby(abi) >= 1.8
Requires:       ruby(gtk2) = %{version}-%{release} ruby(gnomeprint2) = %{version}-%{release}

Provides:       ruby(gnomeprintui2) =  %{version}-%{release}
Provides:       ruby-gnomeprintui
Obsoletes:      ruby-gnomeprintui

%description -n ruby-gnomeprintui2
Ruby/GnomePrintUI is a Ruby binding of libgnomeprintui.

%package -n ruby-gnomevfs
Summary:        Ruby binding of GnomeVFS-2.0.x
Group:          System Environment/Libraries

BuildRequires:  ruby ruby-devel gnome-vfs2-devel

Requires:       ruby(abi) >= 1.8
Requires:       ruby(glib2) = %{version}-%{release}

Provides:       ruby(gnomevfs) =  %{version}-%{release}

%description -n ruby-gnomevfs
Ruby/GnomeVFS is a Ruby binding of GnomeVFS-2.0.x.

%package -n ruby-gstreamer
Summary:        Ruby binding of GStreamer
Group:          System Environment/Libraries

BuildRequires:  ruby ruby-devel
BuildRequires:  gstreamer-devel gstreamer-plugins-base-devel

Requires:       ruby(abi) = 1.8
Requires:       ruby(glib2) = %{version}-%{release}

Provides:       ruby(gstreamer) = %{version}-%{release}

%description -n ruby-gstreamer
Ruby/GStreamer is a Ruby binding for GStreamer

%package -n ruby-gtk2
Summary:        Ruby binding of GTK+-2.0.x
Group:          System Environment/Libraries

BuildRequires:  ruby gtk2-devel ruby-cairo

Requires:       %{_bindir}/env
Requires:       ruby(abi) >= 1.8 
Requires:       ruby(glib2) = %{version}-%{release} ruby(atk) = %{version}-%{release}
Requires:       ruby(pango) =  %{version}-%{release} ruby-cairo
Requires:       ruby(gdkpixbuf2) =  %{version}-%{release}

Provides:       ruby(gtk2) = %{version}-%{release}

%description -n ruby-gtk2
Ruby/GTK2 is a Ruby binding of GTK+-2.0.x.

%package -n ruby-gtk2-devel
Summary:        Development libraries and header files for ruby-gtk2
Group:          Development/Libraries

Requires:       ruby(gtk2) =  %{version}-%{release}
Requires:       gtk2-devel ruby-devel ruby(glib2-devel) = %{version}-%{release}

Provides:       ruby(gtk2-devel) = %{version}-%{release}

%description -n ruby-gtk2-devel
Ruby/GTK2 is a Ruby binding of GTK+-2.0.x.
This package provides libraries and header files for ruby-gtk2

%package -n ruby-gtkglext
Summary:        Ruby binding of GtkGLExt
Group:          System Environment/Libraries

BuildRequires:  ruby ruby-devel gtk2-devel gtkglext-devel

Requires:       ruby(abi) >= 1.8
Requires:       ruby(gtk2) = %{version}-%{release}

Provides:       ruby(gtkglext) = %{version}-%{release}
Obsoletes:      ruby-gnome2-devel

%description -n ruby-gtkglext
Ruby/GtkGLExt is a Ruby binding of GtkGLExt.

%package -n ruby-gtkhtml2
Summary:        Ruby binding of GtkHtml2
Group:          System Environment/Libraries

BuildRequires:  ruby ruby-devel gtk2-devel gtkhtml2-devel

Requires:       ruby(abi) >= 1.8
Requires:       ruby(gtk2) = %{version}-%{release}

Provides:       ruby(gtkhtml2) = %{version}-%{release}

%description -n ruby-gtkhtml2
Ruby/GtkHtml2 is a Ruby binding of GtkHtml2

%package -n ruby-gtkmozembed
Summary:        Ruby binding of GtkMozEmbed
Group:          System Environment/Libraries

BuildRequires:  ruby ruby-devel gtk2-devel pango-devel 
BuildRequires:	gecko-devel >= %{gecko_ver}
Requires:	gecko-libs >= %{gecko_ver}

Requires:       ruby(abi) >= 1.8
Requires:       ruby(gtk2) = %{version}-%{release} 

Provides:       ruby(gtkmozembed) = %{version}-%{release}

%description -n ruby-gtkmozembed
Ruby/GtkMozEmbed is a Ruby binding of GtkMozEmbed a widget embedding a
Mozilla Gecko renderer.

%package -n ruby-gtksourceview
Summary:        Ruby binding of gtksourceview-1.0.x
Group:          System Environment/Libraries

BuildRequires:  ruby ruby-devel gtksourceview-devel

Requires:       ruby(abi) >= 1.8
Requires:       ruby(gtk2) = %{version}-%{release}

Provides:       ruby(gtksourceview) = %{version}-%{release}

%description -n ruby-gtksourceview
Ruby/GtkSourceView is a Ruby binding of gtksourceview-1.0.x.

%package -n ruby-libart2
Summary:        Ruby binding of Libart_lgpl
Group:          System Environment/Libraries

BuildRequires:  ruby ruby-devel libart_lgpl-devel libpng-devel libjpeg-devel

Requires:       ruby(abi) >= 1.8

Provides:       ruby(libart2) = %{version}-%{release}

%description -n ruby-libart2
Ruby/Libart2 is a Ruby binding of Libart_lgpl. 

%package -n ruby-libart2-devel
Summary:        Development libraries and header files for ruby-libart2
Group:          Development/Libraries

Requires:       ruby(libart2) = %{version}-%{release}
Requires:       libart_lgpl-devel ruby-devel

Provides:       ruby(libart2-devel) = %{version}-%{release}
Obsoletes:      ruby-gnome2-devel

%description -n ruby-libart2-devel
Ruby/Libart2 is a Ruby binding of Libart_lgpl. 
This package provides libraries and header files for ruby-libart2


%package -n ruby-libglade2
Summary:        Ruby bindings of Libglade2
Group:          System Environment/Libraries

BuildRequires:  ruby ruby-devel gtk2-devel libgnome-devel libglade2-devel

Requires:       ruby(abi) >= 1.8
Requires:       ruby(gtk2) = %{version}-%{release}
Requires:       ruby(gnome2) = %{version}-%{release}

Provides:       ruby(libglade2) = %{version}-%{release}

%description -n ruby-libglade2
Ruby/Libglade2 is a Ruby bindings of Libglade2.
This provides a very simple interface to the libglade library,
to load interfaces dynamically from a glade file.

%package -n ruby-panel-applet2
Summary:        Ruby binding of libpanel-applet-2.6.x
Group:          System Environment/Libraries

BuildRequires:  ruby ruby-devel gtk2-devel gnome-panel-devel libgnome-devel 
BuildRequires:  libgnomeui-devel 

Requires:       %{_bindir}/env
Requires:       %{_bindir}/ruby
Requires:       ruby(abi) >= 1.8
Requires:       ruby(gnome2) = %{version}-%{release}

Provides:       ruby(panelapplet2) = %{version}-%{release}

%description -n ruby-panel-applet2
Ruby/Panel-Applet2 is a Ruby binding of libpanel-applet-2.6.x.

%package -n ruby-pango
Summary:        Ruby binding of pango-1.x
Group:          System Environment/Libraries

BuildRequires:  ruby ruby-devel glib2-devel pango-devel cairo-devel ruby-cairo

Requires:       ruby(abi) >= 1.8
Requires:       ruby(glib2) = %{version}-%{release} ruby-cairo

Provides:       ruby(pango) = %{version}-%{release}

%description -n ruby-pango
Ruby/Pango is a Ruby binding of pango-1.x.

%package -n ruby-pango-devel
Summary:        Development libraries and header files for ruby-pango
Group:          Development/Libraries

Requires:       ruby(pango) = %{version}-%{release} 
Requires:       pango-devel ruby-devel ruby(glib2-devel) = %{version}-%{release}
Requires:       ruby-cairo

Provides:       ruby(pango-devel) = %{version}-%{release}
Obsoletes:      ruby-gnome2-devel

%description -n ruby-pango-devel
Ruby/Pango is a Ruby binding of pango-1.x.
This package provides libraries and header files for ruby-pango

%package -n ruby-poppler
Summary:        Ruby binding of poppler-glib
Group:          System Environment/Libraries

BuildRequires:  ruby ruby-devel ruby-cairo
BuildRequires:  poppler-devel >= 0.8.0 cairo-devel >= 1.6.4
Requires:       %{_bindir}/env
Requires:       ruby(abi) >= 1.8
Requires:       ruby(gdkpixbuf2) = %{version}-%{release}
Requires:       ruby(gtk2) = %{version}-%{release} ruby-cairo

Provides:       ruby(poppler) = %{version}-%{release}

%description -n ruby-poppler
Ruby/Poppler is a Ruby binding of poppler-glib.


%package -n ruby-rsvg
Summary:        Ruby binding of librsvg
Group:          System Environment/Libraries

BuildRequires:  ruby ruby-devel ruby-cairo
BuildRequires:  librsvg2-devel >= 2.22.2-3m

Requires:       %{_bindir}/env
Requires:       ruby(abi) >= 1.8
Requires:       ruby(gdkpixbuf2) = %{version}-%{release}
Requires:       ruby-cairo

Provides:       ruby(rsvg) = %{version}-%{release}

%description -n ruby-rsvg
Ruby/RSVG is a Ruby binding of librsvg.

%package -n ruby-vte
Summary:        Ruby binding of VTE
Group:          System Environment/Libraries

BuildRequires:  ruby ruby-devel vte-devel

Requires:       %{_bindir}/env
Requires:       ruby(abi) >= 1.8
Requires:       ruby(gtk2) = %{version}-%{release}

Provides:       ruby(vte) = %{version}-%{release}

%description -n ruby-vte
Ruby/VTE is a Ruby binding of VTE.


%prep
%setup -q -n %{name}-all-%{version}

%patch0 -p1
%patch14 -p1 -b .xulrunner
# %patch15 -p1 -b .newgtk

# Fix the attributes of some files
# suppress lots of messages..
set +x
find . -name \*.rb -or -name \*.c | while read f ; do
        chmod 0644 $f
done
set -x

%build
ruby extconf.rb
export CFLAGS="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="%{__install} -p"

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%doc gnome/README gnome/ChangeLog gnome/COPYING.LIB gnome/sample
%doc AUTHORS NEWS
%{ruby_sitelib}/gnome2.rb
%{ruby_sitearch}/gnome2.so

%files -n ruby-atk
%defattr(-,root,root,-)
%doc atk/ChangeLog atk/COPYING.LIB atk/README
%{ruby_sitelib}/atk.rb
%{ruby_sitearch}/atk.so

%files -n ruby-atk-devel
%defattr(-,root,root,-)
%{ruby_sitearch}/rbatk.h
%{ruby_sitearch}/rbatkversion.h

%files -n ruby-bonobo2
%defattr(-,root,root,-)
%doc bonobo/ChangeLog bonobo/COPYING.LIB bonobo/README
%{ruby_sitelib}/bonobo2.rb
%{ruby_sitearch}/bonobo2.so

%files -n ruby-bonoboui2
%defattr(-,root,root,-)
%doc bonoboui/ChangeLog bonoboui/COPYING.LIB bonoboui/README
%{ruby_sitelib}/bonoboui2.rb
%{ruby_sitearch}/bonoboui2.so

%files -n ruby-gconf2
%defattr(-,root,root,-)
%doc gconf/ChangeLog gconf/COPYING.LIB gconf/README gconf/sample
%{ruby_sitelib}/gconf2.rb
%{ruby_sitearch}/gconf2.so

%files -n ruby-gdkpixbuf2
%defattr(-,root,root,-)
%doc gdkpixbuf/ChangeLog gdkpixbuf/COPYING.LIB gdkpixbuf/README gdkpixbuf/sample
%{ruby_sitelib}/gdk_pixbuf2.rb
%{ruby_sitearch}/gdk_pixbuf2.so

%files -n ruby-glib2
%defattr(-,root,root,-)
%doc glib/ChangeLog glib/COPYING.LIB glib/README glib/sample
%{ruby_sitelib}/glib2.rb
%{ruby_sitelib}/glib-mkenums.rb
%{ruby_sitelib}/mkmf-gnome2.rb
%{ruby_sitelib}/pkg-config.rb
%{ruby_sitearch}/glib2.so

%files -n ruby-glib2-devel
%defattr(-,root,root,-)
%{ruby_sitearch}/rbgcompat.h
%{ruby_sitearch}/rbglib.h
%{ruby_sitearch}/rbgobject.h
%{ruby_sitearch}/rbgutil.h

%files -n ruby-gnomecanvas2
%defattr(-,root,root,-)
%doc gnomecanvas/ChangeLog gnomecanvas/COPYING.LIB gnomecanvas/README gnomecanvas/sample
%{ruby_sitelib}/gnomecanvas2.rb
%{ruby_sitearch}/gnomecanvas2.so

%files -n ruby-gnomeprint2
%defattr(-,root,root,-)
%doc gnomeprint/ChangeLog gnomeprint/COPYING.LIB gnomeprint/README gnomeprint/sample
%{ruby_sitelib}/gnomeprint2.rb
%{ruby_sitearch}/gnomeprint2.so

%files -n ruby-gnomeprintui2
%defattr(-,root,root,-)
%doc gnomeprintui/ChangeLog gnomeprintui/COPYING.LIB gnomeprintui/README gnomeprintui/sample
%{ruby_sitelib}/gnomeprintui2.rb
%{ruby_sitearch}/gnomeprintui2.so

%files -n ruby-gnomevfs
%defattr(-,root,root,-)
%doc gnomevfs/ChangeLog gnomevfs/COPYING.LIB gnomevfs/README
%{ruby_sitelib}/gnomevfs.rb
%{ruby_sitearch}/gnomevfs.so

%files -n ruby-gstreamer
%defattr(-,root,root,-)
%doc gstreamer/ChangeLog gstreamer/COPYING.LIB gstreamer/README
%{ruby_sitelib}/gst.rb
%{ruby_sitearch}/gst.so

%files -n ruby-gtk2
%defattr(-,root,root,-)
%doc gtk/ChangeLog gtk/COPYING.LIB gtk/README gtk/sample
%attr(755, root, root) %{ruby_sitelib}/gtk2.rb
#%{ruby_sitelib}/gtk2.rb
%attr(755, root, root) %{ruby_sitelib}/gtk2/base.rb
#%{ruby_sitelib}/gtk2/base.rb
%{ruby_sitearch}/gtk2.so
# Tempirary
%{ruby_sitearch}/libgda.so
%{ruby_sitelib}/libgda.rb

%files -n ruby-gtk2-devel
%defattr(-,root,root,-)
%{ruby_sitearch}/rbgtk.h

%files -n ruby-gtkglext
%defattr(-,root,root,-)
%doc gtkglext/ChangeLog COPYING.LIB gtkglext/README gtkglext/README.rbogl gtkglext/sample
%{ruby_sitelib}/gtkglext.rb
%{ruby_sitearch}/gtkglext.so

%files -n ruby-gtkhtml2
%defattr(-,root,root,-)
%doc gtkhtml2/ChangeLog gtkhtml2/COPYING.LIB gtkhtml2/README gtkhtml2/sample
%{ruby_sitelib}/gtkhtml2.rb
%{ruby_sitearch}/gtkhtml2.so

%files -n ruby-gtkmozembed
%defattr(-,root,root,-)
%doc gtkmozembed/ChangeLog gtkmozembed/COPYING.LIB gtkmozembed/README gtkmozembed/sample
#tmp
%{ruby_sitelib}/gtkmozembed.rb
%{ruby_sitearch}/gtkmozembed.so

%files -n ruby-gtksourceview
%defattr(-,root,root,-)
%doc gtksourceview/ChangeLog gtksourceview/COPYING.LIB gtksourceview/README gtksourceview/sample
%{ruby_sitelib}/gtksourceview.rb
%{ruby_sitearch}/gtksourceview.so

%files -n ruby-libart2
%defattr(-,root,root,-)
%doc libart/ChangeLog libart/COPYING.LIB libart/README libart/sample
%{ruby_sitelib}/libart2.rb
%{ruby_sitearch}/libart2.so

%files -n ruby-libart2-devel
%defattr(-,root,root,-)
%{ruby_sitearch}/rbart.h

%files -n ruby-libglade2
%defattr(-,root,root,-)
%doc libglade/ChangeLog libglade/COPYING.LIB libglade/README libglade/sample
%{_bindir}/ruby-glade-create-template
%attr(755, root, root) %{ruby_sitelib}/libglade2.rb
#%{ruby_sitelib}/libglade2.rb
%{ruby_sitearch}/libglade2.so

%files -n ruby-panel-applet2
%defattr(-,root,root,-)
%doc panel-applet/ChangeLog panel-applet/COPYING.LIB panel-applet/README panel-applet/sample
%{ruby_sitelib}/panelapplet2.rb
%{ruby_sitearch}/panelapplet2.so

%files -n ruby-pango
%defattr(-,root,root,-)
%doc pango/ChangeLog pango/COPYING.LIB pango/README pango/sample
%{ruby_sitelib}/pango.rb
%{ruby_sitearch}/pango.so

%files -n ruby-pango-devel
%defattr(-,root,root,-)
%{ruby_sitearch}/rbpango.h
%{ruby_sitearch}/rbpangoversion.h

%files -n ruby-poppler
%defattr(-,root,root,-)
%doc poppler/ChangeLog poppler/COPYING.LIB poppler/README poppler/sample
%{ruby_sitelib}/poppler.rb
%{ruby_sitearch}/poppler.so

%files -n ruby-rsvg
%defattr(-,root,root,-)
%doc rsvg/ChangeLog rsvg/COPYING.LIB rsvg/README rsvg/sample
%{ruby_sitelib}/rsvg2.rb
%{ruby_sitearch}/rsvg2.so

%files -n ruby-vte
%defattr(-,root,root,-)
%doc vte/ChangeLog vte/COPYING.LIB vte/README vte/sample
%{ruby_sitelib}/vte.rb
%{ruby_sitearch}/vte.so

%changelog
* Mon Sep 15 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.17.0-1m)
- update 0.17.0

* Sun Jun 22 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.16.0-13m)
- remove Requires: firefox

* Mon Apr 28 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.16.0-12m)
- rebuild against firefox-3
- rebuild against librsvg2-2.22.2-3m

* Mon Apr 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.16.0-11m)
- rebuild against poppler-0.8.0 and cairo-1.6.4

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.16.0-10m)
- rebuild against gcc43

* Wed Mar 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.16.0-9m)
- add patch20 (glib-2.16.1)

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.16.0-8m)
- %%NoSource -> NoSource

* Sat Sep  8 2007 Nishio Futoshi <futoshi@momonga-linux>
- (0.16.0-7m)
- update patch11 (poppler-0.6)

* Thu Aug 16 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.16.0-6m)
- modify ruby_sitelib

* Wed Aug 15 2007 Nishio Futoshi <futoshi@momonga-linux>
- (0.16.0-5m)
- sync Fedora

* Tue Aug  7 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.16-4m)
- add version on Requires for firefox

* Mon Jun 18 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.16-3m)
- rebuild against ruby-1.8.6-4m

* Mon Feb 12 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.16-2m)
- add requires

* Thu Feb  1 2007 Nishio Futoshi <futoshi@momonga-linux>
- (0.16.0-1m)
- update to 0.16.0
- removed ruby-gstreamer ruby-libgda

* Mon Nov 13 2006 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.15.0-1m)
- copy from momonga's trunk (r12695)
- update to 0.15.0
- add two sub packages; ruby-poppler, ruby-vte
- add two patches
-- ruby-gnome2-all-0.15.0-firefox-plugin.patch to use firefox-gtkmozembed
-- ruby-gnome2-all-0.15.0-fix-mkmf-gnome2.patch to fix bug in mkmf-gnome2.rb

* Fri Sep  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.1-2m)
- rebuild against gnome 2.16.0

* Tue Nov 15 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.14.1-1m)
- bugfix release

* Tue Oct 18 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.14.0-2m)
- separate packages

* Sun Oct 16 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.14.0-2m)
- separate ruby-gtkmozembed

* Sun Oct 16 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.14.0-1m)
- version up
- add Ruby/GtkMozEmbed

* Fri Jul 15 2005 Toru Hoshina <t@momonga-linux.org>
- (0.12.0-2m)
- /usr/lib/ruby

* Mon Mar  7 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.12.0-1m)
- support recent gnome2 environments

* Thu Jan 27 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.11.0-5m)
- rebuild against libgda-1.2.0

* Thu Jan 13 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.11.0-4m)
- rebuild against gtk+-2.6.1
- add patch1

* Mon Dec  6 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.11.0-3m)
- apply 'ruby-gnome2-0.11.0-gnomeprint.patch

* Sun Dec  5 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.11.0-2m)
- with Ruby/GnomePrint

* Mon Nov 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.11.0-1m)
- version up

* Wed Oct 27 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.10.1-1m)
- version up

* Wed Aug  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.1-6m)
- rebuild against ruby-1.8.2

* Fri Apr 23 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.1-5m)
- rebuild against gstreamer-0.8.1
- omit gstreamer library temporarily 

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.9.1-4m)
- rebuild against for libxml2-2.6.8
- rebuild against for libxslt-1.1.5

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (0.9.1-2m)
- revised spec for rpm 4.2.

* Mon Mar 15 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.9.1-1m)
- update to version 0.9.1

* Thu Dec 25 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.8.1-2m)
- rebuild against postgresql-7.4.1

* Mon Dec 22 2003 Kenta MURATA <muraken2@nifty.com>
- (0.8.1-1m)
- version 0.8.1.

* Mon Dec 22 2003 Kenta MURATA <muraken2@nifty.com>
- (0.8.0-2m)
- rebuild against libgda.

* Mon Nov 17 2003 Kenta MURATA <muraken2@nifty.com>
- (0.8.0-1m)
- version up.

* Mon Sep 08 2003 Kenta MURATA <muraken2@nifty.com>
- (0.7.0-2m)
- add sample script of gtkglext.

* Sun Sep 07 2003 Kenta MURATA <muraken2@nifty.com>
- (0.7.0-1m)
- version up.

* Thu Aug 14 2003 Kenta MURATA <muraken2@nifty.com>
- (0.6.0-2m)
- ruby-glade-create-template

* Sun Aug 10 2003 Kenta MURATA <muraken2@nifty.com>
- (0.6.0-1m)
- version up.

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (0.5.0-3m)
- merge from ruby-1_8-branch.

* Thu Jul 31 2003 Kenta MURATA <muraken2@nifty.com>
- (0.5.0-2m)
- merge from HEAD.
- apply patch for ruby-1.8.0.

* Thu Jul 31 2003 Kenta MURATA <muraken2@nifty.com>
- (0.5.0-1m)
- version up.

* Fri Jun 13 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.4.0-3m)
- rebuild against for gconf.

* Sun Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.4.0-2m)
- rebuild against for XFree86-4.3.0

* Sun Mar 23 2003 Kenta MURATA <muraken2@nifty.com>
- (0.4.0-1m)
- version up.

* Sun Mar  8 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.3.0-2m)
  rebuild against openssl 0.9.7a

* Mon Feb 10 2003 Kenta MURATA <muraken@momonga-linux.org>
- (0.3.0-1m)
- version up.

* Wed Jan 15 2003 Kenta MURATA <muraken@momonga-linux.org>
- (0.2-3m)
- apply patch for GtkClipboard collision bug.

* Wed Jan 15 2003 Kenta MURATA <muraken@momonga-linux.org>
- (0.2-2m)
- release up.

* Sun Dec 29 2002 Kenta MURATA <muraken@momonga-linux.org>
- (0.2-1m)
- version up.

* Wed Dec 18 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.1-2m)
- i586-linux -> *-linux

* Mon Dec 16 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1-1m)
- initial revision
